package com.macro.mall.tiny.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * @author gjs
 * @description
 * @date 2021/3/25 10:17
 */
@Getter
@Setter
public class FileUploadParam {

    @ApiModelProperty(value = "上传压缩包所属省份ID")
    private Long province;

    @ApiModelProperty(value = "上传文件名称")
    private String name;

    @ApiModelProperty(value = "上传线路名称")
    private String lineName;

    @ApiModelProperty(value = "原始文件总大小(Byte)")
    private Long size;

    @ApiModelProperty(value = "分块总数")
    private Integer chunks;

    @ApiModelProperty(value = "当前分块数(0~n-1)")
    private Integer chunk;

    @NotNull
    @ApiModelProperty(value = "当前分块的文件", required = true)
    private MultipartFile file;

    @ApiModelProperty(value = "编码方式")
    private String charset = "gbk";
}
