package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 塔表
 * </p>
 *
 * @author macro
 * @since 2021-03-24
 */
@Data
@TableName("b_tower")
@ApiModel(value="BTower对象", description="塔表")
public class BTower implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "杆塔表")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "序号")
    private Integer sort;

    @ApiModelProperty(value = "杆塔号")
    private String name;

    @ApiModelProperty(value = "塔形")
    private String shape;

    @ApiModelProperty(value = "金具串型号")
    private String hardwareType;

    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ApiModelProperty(value = "经度")
    private BigDecimal lon;

    @ApiModelProperty(value = "纬度")
    private BigDecimal lat;

    @ApiModelProperty(value = "是否含有资料")
    private Integer hasFile;

    @Override
    public boolean equals(Object obj){
        BTower tower = (BTower) obj;
        return this.name.equals(tower.name) && this.lineId.equals(tower.lineId);
    }

    @Override
    public int hashCode(){
        return this.name.hashCode() + this.lineId.intValue();
    }

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
