package com.macro.mall.tiny.modules.business.service.impl;

import com.macro.mall.tiny.common.exception.Asserts;
import com.macro.mall.tiny.modules.business.model.BLineUploadLog;
import com.macro.mall.tiny.modules.business.mapper.BLineUploadLogMapper;
import com.macro.mall.tiny.modules.business.service.BLineUploadLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author macro
 * @since 2021-03-28
 */
@Service
public class BLineUploadLogServiceImpl extends ServiceImpl<BLineUploadLogMapper, BLineUploadLog> implements BLineUploadLogService {

    @Autowired
    private BLineUploadLogMapper lineUploadLogMapper;

    @Override
    public List<BLineUploadLog> findLastUpload(Integer limit) {
        if (limit<1) Asserts.fail("请输入大于1的数");
        return lineUploadLogMapper.findLastUpload(limit);
    }

}
